VTK: vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl Class Reference

| VTK 9.3.1

Public Member Functions | Protected Member Functions | List of all members
vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl Class Referenceabstract

`#include <vtkSMPThreadLocalImplAbstract.h>`

Inheritance diagram for vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl:
[legend]

## Public Member Functions
| ItImpl ()=default
virtual | ~ItImpl ()=default
| ItImpl (const ItImpl &)=default
| ItImpl (ItImpl &&) noexcept=default
ItImpl & | operator= (const ItImpl &)=default
ItImpl & | operator= (ItImpl &&) noexcept=default
virtual void | Increment ()=0
virtual bool | Compare (ItImpl *other)=0
virtual T & | GetContent ()=0
virtual T * | GetContentPtr ()=0
std::unique_ptr< ItImpl > | Clone () const

## Protected Member Functions
virtual ItImpl * | CloneImpl () const =0

## Detailed Description

### template<typename T>
class vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl

Definition at line 29 of file vtkSMPThreadLocalImplAbstract.h.

## Constructor & Destructor Documentation

## ◆ ItImpl() [1/3]

template<typename T >

vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::ItImpl | ( |  | ) |
| default

## ◆ ~ItImpl()

template<typename T >

virtual vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::~ItImpl | ( |  | ) |
| virtualdefault

## ◆ ItImpl() [2/3]

template<typename T >

vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::ItImpl | ( | const ItImpl & |  | ) |
| default

## ◆ ItImpl() [3/3]

template<typename T >

vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::ItImpl | ( | ItImpl && |  | ) |
| defaultnoexcept

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T >

ItImpl& vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::operator= | ( | const ItImpl & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename T >

ItImpl& vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::operator= | ( | ItImpl && |  | ) |
| defaultnoexcept

## ◆ Increment()

template<typename T >

virtual void vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::Increment | ( |  | ) |
| pure virtual

Implemented in vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::STDThread, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::Sequential, T >::ItImpl, and vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::OpenMP, T >::ItImpl.

## ◆ Compare()

template<typename T >

virtual bool vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::Compare | ( | ItImpl * | other | ) |
| pure virtual

Implemented in vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::STDThread, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::Sequential, T >::ItImpl, and vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::OpenMP, T >::ItImpl.

## ◆ GetContent()

template<typename T >

virtual T& vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::GetContent | ( |  | ) |
| pure virtual

Implemented in vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::STDThread, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::Sequential, T >::ItImpl, and vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::OpenMP, T >::ItImpl.

## ◆ GetContentPtr()

template<typename T >

virtual T* vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::GetContentPtr | ( |  | ) |
| pure virtual

Implemented in vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::STDThread, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::Sequential, T >::ItImpl, and vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::OpenMP, T >::ItImpl.

## ◆ Clone()

template<typename T >

std::unique_ptr<ItImpl> vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::Clone | ( |  | ) | const
| inline

Definition at line 47 of file vtkSMPThreadLocalImplAbstract.h.

## ◆ CloneImpl()

template<typename T >

virtual ItImpl* vtk::detail::smp::vtkSMPThreadLocalImplAbstract< T >::ItImpl::CloneImpl | ( |  | ) | const
| protectedpure virtual

Implemented in vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::TBB, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::STDThread, T >::ItImpl, vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::Sequential, T >::ItImpl, and vtk::detail::smp::vtkSMPThreadLocalImpl< BackendType::OpenMP, T >::ItImpl.

The documentation for this class was generated from the following file:

- Common/Core/SMP/Common/vtkSMPThreadLocalImplAbstract.h